EEPGET(1)

NAZWA
Eepget - asystent pobierania I2P

STRESZCZENIE
eepget [opcje]URL

OPIS

Pobiera plik niezależnie przez HTTP. Zarówno transfery przez I2P i przez zwykły Internet są wspierane.

Eepget pozwala poradzić sobie z powolnym lub niestabilnym połączeniem; jeżeli pobieranie nie powiedzie się z powodu problemu z połączeniem, zostanie ono wznowione (jeżeli opcja -n jest aktywna). Jeżeli jest to wspierane przez serwer, eepget spróbuje pobrać plik od miejsca w którym pobieranie zostało przerwane.

OPCJE
-c

Clearnet (zwykły Internet). Nie używa proxy. To samo co -p :0.

-e etag

Ustawia wartość etag w nagłówku żądania.

-h nazwa=wartość

Dodaje dowolny nagłówek żądania z podaną nazwą i wartością.

-l długość_linii

Dostosowuje wyświetlanie postępu.  lineLen  jest długością (w znakach) jednej linii paska postępu. Domyślnie 40.

-m rozmiar_znaku

Dostosowuje wyświetlanie postępu.  markSize  jest liczbą bajtów reprezentowanych przez jeden znak '#'. Domyślnie 1024.

-n prób

Określa ile razy spróbować ponownie pobierania w przypadku niepowodzenia. Jeżeli ta opcja nie zostanie podana, eepget nie spróbuje ponownie.

-o plik_wyjściowy

Określa plik wyjściowy do zapisu. Jeżeli ta opcja nie zostanie sprecyzowana, wyjściowa nazwa pliku będzie taka sama jak pierwotna z URL.

-p proxy_host[:port]

Określa używane proxy I2P (eeproxy). Jeżeli port nie zostanie podany, eepget użyje 4444. Jeżeli ta opcja nie zostanie określona, eepget użyje 127.0.0.1:4444. Określ -c lub -p:0, aby wyłączyć eeproxy.

-t sekundy

Określa limit czasu nieaktywności. Domyślnie 60 sekund.

-u użytkownik

Ustawia nazwę użytkownika dla autoryzacji proxy (jeżeli konieczna).

-x hasło

Ustawia hasło dla autoryzacji proxy (jeżeli konieczna). Jeżeli nazwa użytkownika jest określona, ale nie hasło, eepget zapyta o hasło.

KOD WYJŚCIOWY
eepget kończy pracę z kodem zero po pomyślnym pobraniu i z kodem nie-zerowym jeżeli wystąpiły problemy z pobieraniem.

ZGŁASZANIE BŁĘDÓW
Please enter an issue on the I2P GitLab server (https://i2pgit.org/i2p-hackers/i2p.i2p/-/issues).

ZOBACZ TAKŻE
i2prouter(1) curl(1) wget(1)